WKSDocumentParsingState Struct Reference documentation

WKSDocumentParsingState Struct Reference

the document state More...

## Public Member Functions
| WKSDocumentParsingState (std::vector< WPSPageSpan > const &pageList)
| constructor
| ~WKSDocumentParsingState ()
| destructor

## Public Attributes
std::vector< WPSPageSpan > | m_pageList
librevenge::RVNGPropertyList | m_metaData
bool | m_isDocumentStarted
bool | m_isHeaderFooterStarted
std::vector< WPSSubDocumentPtr > | m_subDocuments
std::map< WPSCellFormat, int, WPSCellFormat::CompareFormat > | m_numberingIdMap
| list of document actually open

## Private Member Functions
| WKSDocumentParsingState (const WKSDocumentParsingState &)=delete
WKSDocumentParsingState & | operator= (const WKSDocumentParsingState &)=delete

## Detailed Description

the document state

## Constructor & Destructor Documentation

## ◆ WKSDocumentParsingState() [1/2]

WKSDocumentParsingState::WKSDocumentParsingState | ( | std::vector< WPSPageSpan > const & | pageList | ) |
| explicit

constructor

Referenced by operator=(), and WKSDocumentParsingState().

## ◆ ~WKSDocumentParsingState()

WKSDocumentParsingState::~WKSDocumentParsingState | ( |  | ) |

destructor

## ◆ WKSDocumentParsingState() [2/2]

WKSDocumentParsingState::WKSDocumentParsingState | ( | const WKSDocumentParsingState & |  | ) |
| privatedelete

## Member Function Documentation

## ◆ operator=()

WKSDocumentParsingState & WKSDocumentParsingState::operator= | ( | const WKSDocumentParsingState & |  | ) |
| privatedelete

## Member Data Documentation

## ◆ m_isDocumentStarted

bool WKSDocumentParsingState::m_isDocumentStarted

Referenced by WKSDocumentParsingState().

## ◆ m_isHeaderFooterStarted

bool WKSDocumentParsingState::m_isHeaderFooterStarted

Referenced by WKSDocumentParsingState().

## ◆ m_metaData

librevenge::RVNGPropertyList WKSDocumentParsingState::m_metaData

Referenced by WKSDocumentParsingState().

## ◆ m_numberingIdMap

std::map<WPSCellFormat,int,WPSCellFormat::CompareFormat> WKSDocumentParsingState::m_numberingIdMap

list of document actually open

a map cell's format to id

Referenced by WKSDocumentParsingState().

## ◆ m_pageList

std::vector<WPSPageSpan> WKSDocumentParsingState::m_pageList

Referenced by WKSDocumentParsingState().

## ◆ m_subDocuments

std::vector<WPSSubDocumentPtr> WKSDocumentParsingState::m_subDocuments

Referenced by WKSDocumentParsingState().

The documentation for this struct was generated from the following file:

- WKSContentListener.cpp